package com.tmerclub.cloud.distribution.constant;

/**
 * @author
 */

public enum DUserType {

    /**
     * 用户
     */
    MY_USER(1, "我的用户"),
    /**
     * 好友
     */
    MY_FRIEND(2, "我的好友");

    private final Integer value;
    private final String desc;

    public Integer value() {
        return value;
    }

    public String desc() {
        return desc;
    }

    DUserType(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static DUserType instance(Integer value) {
        DUserType[] enums = values();
        for (DUserType dUserType : enums) {
            if (dUserType.value().equals(value)) {
                return dUserType;
            }
        }
        return null;
    }


}
